Developer Center Discussions

cancel
Showing results for 
Search instead for 
Did you mean: 

Error code 7 installation error

I'm trying to install the TPLAT package and I get the error below. I have Labview 12 to 15 on my system and I get the error trying to install the package on any of them.

Main Package Name: Third Party Licensing & Activation Toolkit v15.0.0.32

Package Name with Error: Third Party Licensing & Activation Toolkit v15.0.0.32

Error Message: VIPM could not install the package ni_lib_tplat-15.0.0.32 .

Error Code: 7

Error Source: Move in PostInstall.vi<APPEND>

D:\Program Files (x86)\National Instruments\Shared\Example Finder\1.0\Products\LabVIEW\13.0\exbins\english\lv2ptplatk.bin4

===============

-------------------------------------------------

I figured out the problem (or at least I found a work around).

I have 6 versions of LabView, 5 of them on the C:\ drive and the last one on the D:\ drive. When I tried to install the toolkit, no matter for what version of LabVIEW, VIPM would always try to write the file indicated in the error message on the D:\ drive but that folder is on the C:\ drive. I created a dummy folder with the path given in the error message and the installation finally completed. I copied the lv2ptplatk.bin4 file from the D:\ drive to the corresponding folder on the C:\ drive and it worked.

--------------------------------------------------------------------------------------------

Marc Dubois
0 Kudos
Message 1 of 2
(4,852 Views)

Yes, thank you, It worked for me just create the same folder as error said, and finished. 

0 Kudos
Message 2 of 2
(1,038 Views)